## ros-one-diff-drive-controller 0.22.0-0jammy.20251023.0828

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0jammy.20251023.0828) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 08:28:35 +0000

ros-one-diff-drive-controller (0.22.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-diff-drive-controller (0.21.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-diff-drive-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-diff-drive-controller (0.21.0-0jammy) jammy; urgency=high

  * std::bind and placeholders instead of boost
  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-diff-drive-controller (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Use new boost bind placeholders
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-diff-drive-controller (0.19.0-0jammy) jammy; urgency=high

  * fix NaN bug
  * fix test to expose NaN bug
  * Wait long enough for accumulator to be cleared
  * Add test for #532 <https://github.com/ros-controls/ros_controllers/issues/532>
    Close #540 <https://github.com/ros-controls/ros_controllers/issues/540>
  * Contributors: Caio Amaral, Matt Reynolds, Melvin Wang

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-diff-drive-controller (0.18.1-0jammy) jammy; urgency=high

  * Fix null pointer checks in diff_drive_controller
  * Use version-agnostic FindBoost for headers
  * Contributors: David V. Lu, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.18.0-0jammy) jammy; urgency=high

  * Fix dependency on Boost
  * Apply consistent format to CMakeLists.txt
  * Update package.xml to format 3
  * Clean dependencies of diff_drive_controller package
  * Apply waitForController method to all diff_drive_controller tests
  * Move odom_pub setup to the end to allow consistent isControllerAlive check
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.17.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.16.0-0jammy) jammy; urgency=high

  * Fix warning dynamic_reconfigure
  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * switch implementation of read and write methods of Diffbot class
  * Refactor nan test
    EXPECT_NE(x, bool) -> EXPECT_TRUE/FALSE(x)
    EXPECT_EQ(x, double) -> EXPECT_DOUBLE_EQ(x, double)
    + clang default reformat
  * Check for nan cmd_vel
  * Contributors: Anas Abou Allaban, Bence Magyar, Franz, Matt Reynolds, Raffaello Bonghi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.15.1-0jammy) jammy; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Update null link pointer error message
  * Revert cmake include catkin_INCLUDE_DIRS as system
  * Use C++11 std::this_thread::sleep_for.
  * Contributors: Bence Magyar, Enrique Fernandez Perdomo, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Using left/right multiplies for desired vel
  * diff-drive publish joint trajectory controller state
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu, Jeremie Deray, Jordan Palacios

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-diff-drive-controller (0.14.3-0jammy) jammy; urgency=high

  * use operators instead of aliases
  * Fix typo descripion -> description
  * Contributors: Daniel Ingram, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-diff-drive-controller (0.14.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-diff-drive-controller (0.14.1-0jammy) jammy; urgency=high

  * Added 'multiplier' in DynamicParams ostream and changed boolean printing to 'enabled/disabled'
  * isPublishngCmdVelOut to check getNumPublisheres until timeout
  * Contributors: Kei Okada, Martin Ganeff

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-diff-drive-controller (0.14.0-0jammy) jammy; urgency=high

  * add dynamic_reconf to diff_drive_controller
  * migrate to new pluginlib headers
  * per wheel radius multiplier
  * fix xacro macro warning
  * [DiffDrive] Fix time-sensitive tests of diff_drive_controller
  * separate include_directories as SYSTEM to avoid unrelated compilation warnings


## ros-one-diff-drive-controller 0.22.0-0jammy.20251207.2124

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0jammy.20251207.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Dec 2025 21:24:47 +0000

## ros-one-diff-drive-controller 0.22.0-0jammy.20260221.0118

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0jammy.20260221.0118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 01:18:12 +0000

## ros-one-diff-drive-controller 0.22.0-0noble.20251023.0832

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(diff_drive_controller)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
    controller_interface
    control_msgs
    dynamic_reconfigure
    geometry_msgs
    hardware_interface
    nav_msgs
    pluginlib
    realtime_tools
    tf
    urdf
)

find_package(Boost REQUIRED)

# Declare a catkin package
generate_dynamic_reconfigure_options(cfg/DiffDriveController.cfg)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    controller_interface
    control_msgs
    dynamic_reconfigure
    geometry_msgs
    hardware_interface
    nav_msgs
    realtime_tools
    tf
  LIBRARIES ${PROJECT_NAME}
  DEPENDS Boost
)


###########
## Build ##
###########

# Specify header include paths
include_directories(
  include ${catkin_INCLUDE_DIRS}
  include ${Boost_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/diff_drive_controller.cpp
  src/odometry.cpp
  src/speed_limiter.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)


#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(controller_manager REQUIRED)
  find_package(rosgraph_msgs REQUIRED)
  find_package(std_srvs REQUIRED)
  find_package(rostest REQUIRED)
  
  include_directories(
    ${controller_manager_INCLUDE_DIRS}
    ${rosgraph_msgs_INCLUDE_DIRS}
    ${std_srvs_INCLUDE_DIRS}
  )

  set(test_LIBRARIES
    ${controller_manager_LIBRARIES}
    ${rosgraph_msgs_LIBRARIES}
    ${std_srvs_LIBRARIES}
  )

  add_executable(diffbot test/diffbot.cpp)
  target_link_libraries(diffbot ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_executable(skidsteerbot test/skidsteerbot.cpp)
  target_link_libraries(skidsteerbot ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_dependencies(tests diffbot skidsteerbot)

  add_rostest_gtest(diff_drive_test
    test/diff_drive_controller.test
    test/diff_drive_test.cpp
  )
  target_link_libraries(diff_drive_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_nan_test
    test/diff_drive_controller_nan.test
    test/diff_drive_nan_test.cpp
  )
  target_link_libraries(diff_drive_nan_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_limits_test
    test/diff_drive_controller_limits.test
    test/diff_drive_limits_test.cpp
  )
  target_link_libraries(diff_drive_limits_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_timeout_test
    test/diff_drive_timeout.test
    test/diff_drive_timeout_test.cpp
  )
  target_link_libraries(diff_drive_timeout_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest(test/diff_drive_multipliers.test)

  add_rostest(test/diff_drive_left_right_multipliers.test)

  add_rostest_gtest(diff_drive_fail_test
    test/diff_drive_wrong.test
    test/diff_drive_fail_test.cpp
  )
  target_link_libraries(diff_drive_fail_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_odom_tf_test
    test/diff_drive_odom_tf.test
    test/diff_drive_odom_tf_test.cpp
  )
  target_link_libraries(diff_drive_odom_tf_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_default_cmd_vel_out_test
    test/diff_drive_default_cmd_vel_out.test
    test/diff_drive_default_cmd_vel_out_test.cpp
  )
  target_link_libraries(diff_drive_default_cmd_vel_out_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_pub_cmd_vel_out_test
    test/diff_drive_pub_cmd_vel_out.test
    test/diff_drive_pub_cmd_vel_out_test.cpp
  )
  target_link_libraries(diff_drive_pub_cmd_vel_out_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_default_wheel_joint_controller_state_test
    test/diff_drive_default_wheel_joint_controller_state.test
    test/diff_drive_default_wheel_joint_controller_state_test.cpp
  )
  target_link_libraries(diff_drive_default_wheel_joint_controller_state_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_publish_wheel_joint_controller_state_test
    test/diff_drive_publish_wheel_joint_controller_state.test
    test/diff_drive_publish_wheel_joint_controller_state_test.cpp
  )
  target_link_libraries(diff_drive_publish_wheel_joint_controller_state_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_default_odom_frame_test
    test/diff_drive_default_odom_frame.test
    test/diff_drive_default_odom_frame_test.cpp
  )
  target_link_libraries(diff_drive_default_odom_frame_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_odom_frame_test
    test/diff_drive_odom_frame.test
    test/diff_drive_odom_frame_test.cpp
  )
  target_link_libraries(diff_drive_odom_frame_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(diff_drive_multiple_cmd_vel_publishers_test
    test/diff_drive_multiple_cmd_vel_publishers.test
    test/diff_drive_multiple_cmd_vel_publishers_test.cpp
  )
  target_link_libraries(diff_drive_multiple_cmd_vel_publishers_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest(test/diff_drive_open_loop.test)

  add_rostest(test/skid_steer_controller.test)

  add_rostest(test/skid_steer_no_wheels.test)

  add_rostest(test/diff_drive_radius_sphere.test)

  add_rostest(test/diff_drive_radius_param.test)

  add_rostest(test/diff_drive_radius_param_fail.test)

  add_rostest(test/diff_drive_separation_param.test)

  add_rostest(test/diff_drive_bad_urdf.test)

  add_rostest(test/diff_drive_get_wheel_radius_fail.test)

  add_rostest_gtest(diff_drive_dyn_reconf_test
    test/diff_drive_dyn_reconf.test
    test/diff_drive_dyn_reconf_test.cpp
  )
  target_link_libraries(diff_drive_dyn_reconf_test ${catkin_LIBRARIES} ${test_LIBRARIES})

endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install library
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES diff_drive_controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0noble.20251023.0832) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 08:32:35 +0000

ros-one-diff-drive-controller (0.22.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-diff-drive-controller (0.21.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-diff-drive-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-diff-drive-controller (0.21.0-0noble) noble; urgency=high

  * std::bind and placeholders instead of boost
  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-diff-drive-controller (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Use new boost bind placeholders
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-diff-drive-controller (0.19.0-0noble) noble; urgency=high

  * fix NaN bug
  * fix test to expose NaN bug
  * Wait long enough for accumulator to be cleared
  * Add test for #532 <https://github.com/ros-controls/ros_controllers/issues/532>
    Close #540 <https://github.com/ros-controls/ros_controllers/issues/540>
  * Contributors: Caio Amaral, Matt Reynolds, Melvin Wang

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-diff-drive-controller (0.18.1-0noble) noble; urgency=high

  * Fix null pointer checks in diff_drive_controller
  * Use version-agnostic FindBoost for headers
  * Contributors: David V. Lu, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.18.0-0noble) noble; urgency=high

  * Fix dependency on Boost
  * Apply consistent format to CMakeLists.txt
  * Update package.xml to format 3
  * Clean dependencies of diff_drive_controller package
  * Apply waitForController method to all diff_drive_controller tests
  * Move odom_pub setup to the end to allow consistent isControllerAlive check
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.17.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.16.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.16.0-0noble) noble; urgency=high

  * Fix warning dynamic_reconfigure
  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * switch implementation of read and write methods of Diffbot class
  * Refactor nan test
    EXPECT_NE(x, bool) -> EXPECT_TRUE/FALSE(x)
    EXPECT_EQ(x, double) -> EXPECT_DOUBLE_EQ(x, double)
    + clang default reformat
  * Check for nan cmd_vel
  * Contributors: Anas Abou Allaban, Bence Magyar, Franz, Matt Reynolds, Raffaello Bonghi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.15.1-0noble) noble; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Update null link pointer error message
  * Revert cmake include catkin_INCLUDE_DIRS as system
  * Use C++11 std::this_thread::sleep_for.
  * Contributors: Bence Magyar, Enrique Fernandez Perdomo, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-diff-drive-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Using left/right multiplies for desired vel
  * diff-drive publish joint trajectory controller state
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu, Jeremie Deray, Jordan Palacios

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-diff-drive-controller (0.14.3-0noble) noble; urgency=high

  * use operators instead of aliases
  * Fix typo descripion -> description
  * Contributors: Daniel Ingram, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-diff-drive-controller (0.14.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-diff-drive-controller (0.14.1-0noble) noble; urgency=high

  * Added 'multiplier' in DynamicParams ostream and changed boolean printing to 'enabled/disabled'
  * isPublishngCmdVelOut to check getNumPublisheres until timeout
  * Contributors: Kei Okada, Martin Ganeff

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-diff-drive-controller (0.14.0-0noble) noble; urgency=high

  * add dynamic_reconf to diff_drive_controller
  * migrate to new pluginlib headers
  * per wheel radius multiplier
  * fix xacro macro warning
  * [DiffDrive] Fix time-sensitive tests of diff_drive_controller
  * separate include_directories as SYSTEM to avoid unrelated compilation warnings


=== debian/control ===
Source: ros-one-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-control-msgs, ros-one-controller-interface, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-tf, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-control-msgs, ros-one-controller-interface, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-tf, ros-one-urdf
Description: Controller for a differential drive mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-diff-drive-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-diff-drive-controller 0.22.0-0noble.20251208.0826

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0noble.20251208.0826) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Dec 2025 08:26:32 +0000

## ros-one-diff-drive-controller 0.22.0-0noble.20260221.0154

=== debian/changelog ===
ros-one-diff-drive-controller (0.22.0-0noble.20260221.0154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 01:54:51 +0000
